use sysinfo::System;
use crate::dtos::os::OsInfo;

pub fn get_os_info() -> OsInfo {
	OsInfo {
		manufacturer: None,
		family: System::name().expect("Cannot get OS name"),
		version: System::long_os_version().expect("Cannot get OS version"),
		bussines: None,
	}
}
